#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Queue/include/Queue.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace queue {


#undef  FUNCTION
#define FUNCTION "Queue::statistics"
  string Queue::statistics (uint32_t depth)
  {
    log_printf(FUNC,Queue,FUNCTION,"Begin");

    string txt = _stat->print(depth);
    
    log_printf(FUNC,Queue,FUNCTION,"End");

    return txt;
  };

}; // end namespace queue
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
